From: =?utf-8?q?Jes=C3=BAs_Soto?= <jesus.soto@canonical.com>
Date: Wed, 17 Aug 2022 12:47:01 -0500
Subject: nautilus: Update for compatibility with Nautilus 43 Closes:
 https://gitlab.com/dave_m/clamtk-gnome/-/issues/13

---
 clamtk-gnome/clamtk-gnome.py | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/clamtk-gnome/clamtk-gnome.py b/clamtk-gnome/clamtk-gnome.py
index 8f1b809..7560339 100755
--- a/clamtk-gnome/clamtk-gnome.py
+++ b/clamtk-gnome/clamtk-gnome.py
@@ -53,7 +53,10 @@ class OpenTerminalExtension(GObject.GObject, Nautilus.MenuProvider):
     def menu_background_activate_cb(self, menu, file):
         self._open_scanner(file)
 
-    def get_file_items(self, window, files):
+    def get_file_items(self, *args):
+        # `args` will be `[files: List[Nautilus.FileInfo]]` in Nautilus 4.0 API,
+        # and `[window: Gtk.Widget, files: List[Nautilus.FileInfo]]` in Nautilus 3.0 API.
+        files = args[-1]
         if len(files) != 1:
             return
         file = files[0]
@@ -70,7 +73,8 @@ class OpenTerminalExtension(GObject.GObject, Nautilus.MenuProvider):
 
         return [item]
 
-    def get_background_items(self, window, file):
+    def get_background_items(self, *args):
+        file = args[-1]
         item = Nautilus.MenuItem(
             name="NautilusPython::openscanner_directory",
             label=_("Scan directory for threats..."),
